Skip to main content
POST
/
v1
/
environments
Create an environment
curl --request POST \
  --url https://api.alpic.ai/v1/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "name": "<string>",
  "sourceBranch": "<string>",
  "environmentVariables": []
}
'
{
  "id": "<string>",
  "name": "<string>",
  "sourceBranch": "<string>",
  "urls": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "projectId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.alpic.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.

Body

application/json
projectId
string
required

The ID of the project to create the environment for

name
string
required

The name of the environment

Minimum string length: 1
sourceBranch
string
required

The branch used to build the environment

Minimum string length: 1
environmentVariables
object[]

Response

The environment has been created successfully

id
string
required
name
string
required
sourceBranch
string | null
required

The branch used to build the environment

urls
string<uri>[]
required

The URLs of the MCP server

createdAt
string<date-time>
required
projectId
string
required

The ID of the project the environment belongs to